"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const CacheManager_1 = __importDefault(require("../src/CacheManager"));
class AdonisCacheProvider {
    constructor(container) {
        this.container = container;
    }
    boot() {
        this.container.singleton('Adonis/Addons/Adonis5-Cache', () => {
            return new CacheManager_1.default(this.container);
        });
    }
    register() { }
}
exports.default = AdonisCacheProvider;
