/// <reference types="@adonisjs/events/build/adonis-typings/events" />
import { CacheEvents, CacheEventsConfig } from '@ioc:Adonis/Addons/Adonis5-Cache';
import { EmitterContract, EventsList } from '@ioc:Adonis/Core/Event';
export default class CacheEventEmitter {
    protected config: CacheEventsConfig;
    protected eventEmitter: EmitterContract;
    constructor(config: CacheEventsConfig, eventEmitter: EmitterContract);
    emitEvent<K extends keyof CacheEvents>(eventType: K, payload: EventsList[K]): void;
}
