"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class CacheEventEmitter {
    constructor(config, eventEmitter) {
        this.config = config;
        this.eventEmitter = eventEmitter;
    }
    emitEvent(eventType, payload) {
        if (this.config[eventType]) {
            this.eventEmitter.emit(eventType, payload);
        }
    }
}
exports.default = CacheEventEmitter;
