"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isAsyncFunction = exports.isTagPayloadContract = exports.isTaggableStorage = void 0;
function isTaggableStorage(storage) {
    return 'addTag' in storage && 'readTag' in storage && 'removeTag' in storage;
}
exports.isTaggableStorage = isTaggableStorage;
function isTagPayloadContract(storage) {
    return 'keys' in storage && 'expirationTime' in storage;
}
exports.isTagPayloadContract = isTagPayloadContract;
function isAsyncFunction(value) {
    return typeof value === 'function';
}
exports.isAsyncFunction = isAsyncFunction;
